Loading...
Searching...
No Matches
Catch::Generators::FilterGenerator< T, Predicate > Class Template Referencefinal

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Generators::FilterGenerator< T, Predicate >:
[legend]
Collaboration diagram for Catch::Generators::FilterGenerator< T, Predicate >:
[legend]

## Public Member Functions

template<typename P = Predicate>
| FilterGenerator (P &&pred, GeneratorWrapper< T > &&generator)
T const & | get () const override
bool | next () override
Public Member Functions inherited from Catch::Generators::GeneratorUntypedBase
| GeneratorUntypedBase ()=default
| GeneratorUntypedBase (GeneratorUntypedBase const &)=default
GeneratorUntypedBase & | operator= (GeneratorUntypedBase const &)=default
virtual | ~GeneratorUntypedBase ()
bool | countedNext ()
std::size_t | currentElementIndex () const
StringRef | currentElementAsString () const

## Private Attributes

GeneratorWrapper< T > | m_generator
Predicate | m_predicate

## Additional Inherited Members

Public Types inherited from Catch::Generators::IGenerator< T >
using | type = T

## Constructor & Destructor Documentation

## FilterGenerator()

template<typename T, typename Predicate>
template<typename P = Predicate>

Catch::Generators::FilterGenerator< T, Predicate >::FilterGenerator | ( | P && | pred,
|  | GeneratorWrapper< T > && | generator )

inline

## Member Function Documentation

## get()

template<typename T, typename Predicate>

T const & Catch::Generators::FilterGenerator< T, Predicate >::get | ( |  | ) | const

inlineoverridevirtual

Implements Catch::Generators::IGenerator< T >.

## next()

template<typename T, typename Predicate>

bool Catch::Generators::FilterGenerator< T, Predicate >::next | ( |  | ) |

inlineoverridevirtual

Attempts to move the generator to the next element

Returns true iff the move succeeded (and a valid element can be retrieved).

Implements Catch::Generators::GeneratorUntypedBase.

## Member Data Documentation

## m_generator

template<typename T, typename Predicate>

GeneratorWrapper<T> Catch::Generators::FilterGenerator< T, Predicate >::m_generator

private

## m_predicate

template<typename T, typename Predicate>

Predicate Catch::Generators::FilterGenerator< T, Predicate >::m_predicate

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp